| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- File List
- File Members

Loading...
Searching...
No Matches
Enumerations | Functions
AAX_Errors.h File Reference
`#include "AAX_Enums.h"`

Go to the source code of this file.

## Description

Definitions of error codes used by AAX plug-ins.

## Enumerations
enum | AAX_EError { AAX_SUCCESS = 0 , AAX_ERROR_INVALID_PARAMETER_ID = -20001 , AAX_ERROR_INVALID_STRING_CONVERSION = -20002 , AAX_ERROR_INVALID_METER_INDEX = -20003 , AAX_ERROR_NULL_OBJECT = -20004 , AAX_ERROR_OLDER_VERSION = -20005 , AAX_ERROR_INVALID_CHUNK_INDEX = -20006 , AAX_ERROR_INVALID_CHUNK_ID = -20007 , AAX_ERROR_INCORRECT_CHUNK_SIZE = -20008 , AAX_ERROR_UNIMPLEMENTED = -20009 , AAX_ERROR_INVALID_PARAMETER_INDEX = -20010 , AAX_ERROR_NOT_INITIALIZED = -20011 , AAX_ERROR_ACF_ERROR = -20012 , AAX_ERROR_INVALID_METER_TYPE = -20013 , AAX_ERROR_CONTEXT_ALREADY_HAS_METERS = -20014 , AAX_ERROR_NULL_COMPONENT = -20015 , AAX_ERROR_PORT_ID_OUT_OF_RANGE = -20016 , AAX_ERROR_FIELD_TYPE_DOES_NOT_SUPPORT_DIRECT_ACCESS = -20017 , AAX_ERROR_DIRECT_ACCESS_OUT_OF_BOUNDS = -20018 , AAX_ERROR_FIFO_FULL = -20019 , AAX_ERROR_INITIALIZING_PACKET_STREAM_THREAD = -20020 , AAX_ERROR_POST_PACKET_FAILED = -20021 , AAX_RESULT_PACKET_STREAM_NOT_EMPTY = -20022 , AAX_RESULT_ADD_FIELD_UNSUPPORTED_FIELD_TYPE = -20023 , AAX_ERROR_MIXER_THREAD_FALLING_BEHIND = -20024 , AAX_ERROR_INVALID_FIELD_INDEX = -20025 , AAX_ERROR_MALFORMED_CHUNK = -20026 , AAX_ERROR_TOD_BEHIND = -20027 , AAX_RESULT_NEW_PACKET_POSTED = -20028 , AAX_ERROR_PLUGIN_NOT_AUTHORIZED = -20029 , AAX_ERROR_PLUGIN_NULL_PARAMETER = -20030 , AAX_ERROR_NOTIFICATION_FAILED = -20031 , AAX_ERROR_INVALID_VIEW_SIZE = -20032 , AAX_ERROR_SIGNED_INT_OVERFLOW = -20033 , AAX_ERROR_NO_COMPONENTS = -20034 , AAX_ERROR_DUPLICATE_EFFECT_ID = -20035 , AAX_ERROR_DUPLICATE_TYPE_ID = -20036 , AAX_ERROR_EMPTY_EFFECT_NAME = -20037 , AAX_ERROR_UNKNOWN_PLUGIN = -20038 , AAX_ERROR_PROPERTY_UNDEFINED = -20039 , AAX_ERROR_INVALID_PATH = -20040 , AAX_ERROR_UNKNOWN_ID = -20041 , AAX_ERROR_UNKNOWN_EXCEPTION = -20042 , AAX_ERROR_INVALID_ARGUMENT = -20043 , AAX_ERROR_NULL_ARGUMENT = -20044 , AAX_ERROR_INVALID_INTERNAL_DATA = -20045 , AAX_ERROR_ARGUMENT_BUFFER_OVERFLOW = -20046 , AAX_ERROR_UNSUPPORTED_ENCODING = -20047 , AAX_ERROR_UNEXPECTED_EFFECT_ID = -20048 , AAX_ERROR_NO_ABBREVIATED_PARAMETER_NAME = -20049 , AAX_ERROR_ARGUMENT_OUT_OF_RANGE = -20050 , AAX_ERROR_PRINT_FAILURE = -20051 , AAX_ERROR_PLUGIN_BEGIN = -20600 , AAX_ERROR_PLUGIN_END = -21000 }

## Functions
| AAX_ENUM_SIZE_CHECK (AAX_EError)

## Enumeration Type Documentation

## ◆ AAX_EError

enum AAX_EError

AAX result codes

Enumerator
AAX_SUCCESS |
AAX_ERROR_INVALID_PARAMETER_ID |
AAX_ERROR_INVALID_STRING_CONVERSION |
AAX_ERROR_INVALID_METER_INDEX |
AAX_ERROR_NULL_OBJECT |
AAX_ERROR_OLDER_VERSION |
AAX_ERROR_INVALID_CHUNK_INDEX |
AAX_ERROR_INVALID_CHUNK_ID |
AAX_ERROR_INCORRECT_CHUNK_SIZE |
AAX_ERROR_UNIMPLEMENTED |
AAX_ERROR_INVALID_PARAMETER_INDEX |
AAX_ERROR_NOT_INITIALIZED |
AAX_ERROR_ACF_ERROR |
AAX_ERROR_INVALID_METER_TYPE |
AAX_ERROR_CONTEXT_ALREADY_HAS_METERS |
AAX_ERROR_NULL_COMPONENT |
AAX_ERROR_PORT_ID_OUT_OF_RANGE |
AAX_ERROR_FIELD_TYPE_DOES_NOT_SUPPORT_DIRECT_ACCESS |
AAX_ERROR_DIRECT_ACCESS_OUT_OF_BOUNDS |
AAX_ERROR_FIFO_FULL |
AAX_ERROR_INITIALIZING_PACKET_STREAM_THREAD |
AAX_ERROR_POST_PACKET_FAILED |
AAX_RESULT_PACKET_STREAM_NOT_EMPTY |
AAX_RESULT_ADD_FIELD_UNSUPPORTED_FIELD_TYPE |
AAX_ERROR_MIXER_THREAD_FALLING_BEHIND |
AAX_ERROR_INVALID_FIELD_INDEX |
AAX_ERROR_MALFORMED_CHUNK |
AAX_ERROR_TOD_BEHIND |
AAX_RESULT_NEW_PACKET_POSTED |
AAX_ERROR_PLUGIN_NOT_AUTHORIZED |
AAX_ERROR_PLUGIN_NULL_PARAMETER |
AAX_ERROR_NOTIFICATION_FAILED |
AAX_ERROR_INVALID_VIEW_SIZE |
AAX_ERROR_SIGNED_INT_OVERFLOW |
AAX_ERROR_NO_COMPONENTS |
AAX_ERROR_DUPLICATE_EFFECT_ID |
AAX_ERROR_DUPLICATE_TYPE_ID |
AAX_ERROR_EMPTY_EFFECT_NAME |
AAX_ERROR_UNKNOWN_PLUGIN |
AAX_ERROR_PROPERTY_UNDEFINED |
AAX_ERROR_INVALID_PATH |
AAX_ERROR_UNKNOWN_ID |
AAX_ERROR_UNKNOWN_EXCEPTION | An AAX plug-in should return this to the host if an unknown exception is caught. Exceptions should never be passed to the host.
AAX_ERROR_INVALID_ARGUMENT | One or more input parameters are invalid; all output parameters are left unchanged.
AAX_ERROR_NULL_ARGUMENT | One or more required pointer arguments are null.
AAX_ERROR_INVALID_INTERNAL_DATA | Some part of the internal data required by the method is invalid. See also AAX_ERROR_NOT_INITIALIZED
AAX_ERROR_ARGUMENT_BUFFER_OVERFLOW | A buffer argument was not large enough to hold the data which must be placed within it.
AAX_ERROR_UNSUPPORTED_ENCODING | Unsupported input argument text encoding.
AAX_ERROR_UNEXPECTED_EFFECT_ID | Encountered an effect ID with a different value from what was expected.
AAX_ERROR_NO_ABBREVIATED_PARAMETER_NAME | No parameter name abbreviation with the requested properties has been defined.
AAX_ERROR_ARGUMENT_OUT_OF_RANGE | One or more input parameters are out of the expected range, e.g. an index argument that is negative or exceeds the number of elements.
AAX_ERROR_PRINT_FAILURE | A failure occurred in a "print" library call such as `printf`.
AAX_ERROR_PLUGIN_BEGIN | Custom plug-in error codes may be placed in the range ( AAX_ERROR_PLUGIN_END, AAX_ERROR_PLUGIN_BEGIN ].
AAX_ERROR_PLUGIN_END | Custom plug-in error codes may be placed in the range ( AAX_ERROR_PLUGIN_END, AAX_ERROR_PLUGIN_BEGIN ].

## Function Documentation

## ◆ AAX_ENUM_SIZE_CHECK()

AAX_ENUM_SIZE_CHECK | ( | AAX_EError |  | ) |